import { InterfaceDeclaration, PropertySignature, ClassDeclaration, PropertyDeclaration } from "ts-morph";
import { ObjectPathIdentifier } from './object-path';
export declare class AbstractSyntaxTree {
    node: InterfaceDeclaration | ClassDeclaration | PropertySignature | PropertyDeclaration;
    pairedNode: any;
    objectPath: ObjectPathIdentifier;
    child?: AbstractSyntaxTree | undefined;
    private _valid;
    readonly valid: boolean;
    children?: AbstractSyntaxTree[];
    constructor(node: InterfaceDeclaration | ClassDeclaration | PropertySignature | PropertyDeclaration, pairedNode: any, objectPath: ObjectPathIdentifier, child?: AbstractSyntaxTree | undefined);
    reconstruct(): void;
    validateDescendants(verbose?: boolean): boolean;
    private isIterableArray;
    private checkType;
}
