"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ResultReport {
    constructor(asts) {
        this.asts = asts;
        this.results = [];
    }
    generateReport() {
        this.asts.map((ast) => this.traverseAST(ast));
        const results = this.results.filter((ast) => ast.valid === false);
        return results;
    }
    traverseAST(ast) {
        if (ast.children) {
            ast.children.forEach((child) => {
                this.traverseAST(child);
            });
        }
        if (ast.child) {
            this.traverseAST(ast.child);
        }
        const result = {
            objectPathIdentifier: ast.objectPath,
            objectValue: ast.pairedNode,
            sourceFileName: ast.node.getSourceFile().getFilePath(),
            text: ast.node.getText(),
            sourceFilePos: ast.node.getSourceFile().getLineAndColumnAtPos(ast.node.getPos()),
            valid: ast.valid,
        };
        this.results.push(result);
    }
}
exports.ResultReport = ResultReport;
//# sourceMappingURL=result-report.js.map